Package org.gradle.platform.base

## Interface ToolChainRegistry<P extends Platform,​T extends ToolChain>

- Type Parameters:
    `P` - the Platform type
    `T` - the ToolChain type
  All Known Subinterfaces:
    `JavaToolChainRegistry`, `NativeToolChainRegistry`

      @Incubating
      public interface ToolChainRegistry<P extends Platform,​T extends ToolChain>

  A Provider of `ToolChain`s.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `T` | `getForPlatform​(P targetPlatform)` | Returns the best tool chain to build for the target platform.

- - ### Method Detail

    - #### getForPlatform

          T getForPlatform​(P targetPlatform)

      Returns the best tool chain to build for the target platform.